Skip to content

Find order by id

GET
/order/{id}
curl --request GET \
--url https://api.tradecloud1.com/v2/order/example \
--header 'Authorization: <Authorization>'
id
required
string

Order id

Order view

Media typeapplication/json
object
id
required
string
buyerOrder
required
object
companyId
required
string format: uuid
buyerParty

The optional buyer, buyer accounting or supplier company party:

  • buyer: the legal entity that purchases the goods or services.
  • buyer accounting: the legal entity that receives and handles the invoice. The supplier must send the invoice to the buyer accounting party when specified.
  • supplier: the legal entity that sells the goods or services.
object
id

The optional identifier for the party.

string
idScheme

The optional scheme, providing context to the identifier. Eg. KvK, GLN, etc.

string
names

The location names. It is recommended to provide at least one name.

Array<string>
addressLines

The location address lines. It is recommended to provide at least one address line.

Array<string>
postalCode

Location postal code

string
city

Location city

string
countryCodeIso2

ISO 3166-1 alpha-2 country code.

string format: ISO 3166-1 alpha-2
countryName

Optional country name.

string
buyerAccountingParty

The optional buyer, buyer accounting or supplier company party:

  • buyer: the legal entity that purchases the goods or services.
  • buyer accounting: the legal entity that receives and handles the invoice. The supplier must send the invoice to the buyer accounting party when specified.
  • supplier: the legal entity that sells the goods or services.
object
id

The optional identifier for the party.

string
idScheme

The optional scheme, providing context to the identifier. Eg. KvK, GLN, etc.

string
names

The location names. It is recommended to provide at least one name.

Array<string>
addressLines

The location address lines. It is recommended to provide at least one address line.

Array<string>
postalCode

Location postal code

string
city

Location city

string
countryCodeIso2

ISO 3166-1 alpha-2 country code.

string format: ISO 3166-1 alpha-2
countryName

Optional country name.

string
supplierAccountNumber
required
string
supplierParty

The optional buyer, buyer accounting or supplier company party:

  • buyer: the legal entity that purchases the goods or services.
  • buyer accounting: the legal entity that receives and handles the invoice. The supplier must send the invoice to the buyer accounting party when specified.
  • supplier: the legal entity that sells the goods or services.
object
id

The optional identifier for the party.

string
idScheme

The optional scheme, providing context to the identifier. Eg. KvK, GLN, etc.

string
names

The location names. It is recommended to provide at least one name.

Array<string>
addressLines

The location address lines. It is recommended to provide at least one address line.

Array<string>
postalCode

Location postal code

string
city

Location city

string
countryCodeIso2

ISO 3166-1 alpha-2 country code.

string format: ISO 3166-1 alpha-2
countryName

Optional country name.

string
purchaseOrderNumber
required
string
description
string
destination
object
locationType
string
code
string
names
required
Array<string>
addressLines
required
Array<string>
postalCode
string
city
string
countryCodeIso2
required
string
countryName
string
terms
object
incotermsCode
string
incoterms
string
paymentTermsCode
string
paymentTerms
string
indicators

Order indicators set by the buyer.

object
autoConfirm

If this flag set to true then the order lines will be automatically confirmed in case of a supplier proposal or reopen request.

boolean
properties
required
Array<object>
object
key
required
string
value
required
string
documents
required
Array<object>
object
code
string
revision
string
name

Optional document short name

string
description

Description of the attached document.

string
type

The type of the attached document. Eg. General, Class Product Certificate, Manual, Packing Instructions, etc…

string
objectId

The object ID as known by the Tradecloud Object Storage, if this document stored in Tradecloud.

string format: uuid
url

Location of the document if is not stored in Tradecloud.

string
meta

Meta information about the document, set by Tradecloud.

object
addedAt

The ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) at which the document was first attached to or embedded on the order or order line. Absent for a document that predates Tradecloud recording this date.

string format: yyyy-MM-ddTHH:mm:ss.SSSZ
lastUpdatedAt

The ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) at which the document was last attached or embedded with changed values. Equal to addedAt when the document has never changed. Not updated when an unchanged document is sent again.

string format: yyyy-MM-ddTHH:mm:ss.SSSZ
notes
required
Array<string>
labels

Optional value-added services labels on order level. Please note the practicable number of labels is dependent on the supplier.

Array<string>
contact
object
userId
string format: uuid
email
string
userName
string
status
string
Allowed values: Assigned Reassigned
firstName
string
lastName
string
position
string
phoneNumber
string
orderType
required

The order type, one of:

  • Purchase - This is a purchase order (default).
  • Forecast - This is a forecast order.
  • RFQ - This is a request for quotation order.
string
default: Purchase
Allowed values: Purchase Forecast RFQ
customLabels

Optional custom labels on order header level to make supply or quality issues visible.

Array<object>

Custom label to make supply or quality issues visible.

object
text
required

Free format label text.

string
reason

Free format label reason.

string
requirements

Buyer-imposed requirements stamped onto the order from the buyer’s order settings at issue time.

object
salesOrderNumberRequired

If true, the supplier must provide a salesOrderNumber.

boolean
erpIssueDateTime

Date in ISO 8601 format

string
erpIssuedBy
object
userId
string format: uuid
email
string
userName
string
erpLastChangeDateTime

Date in ISO 8601 format

string
erpLastChangedBy
object
userId
string format: uuid
email
string
userName
string
supplierOrder
required
object
companyId
required
string format: uuid
buyerAccountNumber
string
description
string
properties
required
Array<object>
object
key
required
string
value
required
string
documents
required
Array<object>
object
code
string
revision
string
name

Optional document short name

string
description

Description of the attached document.

string
type

The type of the attached document. Eg. General, Class Product Certificate, Manual, Packing Instructions, etc…

string
objectId

The object ID as known by the Tradecloud Object Storage, if this document stored in Tradecloud.

string format: uuid
url

Location of the document if is not stored in Tradecloud.

string
meta

Meta information about the document, set by Tradecloud.

object
addedAt

The ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) at which the document was first attached to or embedded on the order or order line. Absent for a document that predates Tradecloud recording this date.

string format: yyyy-MM-ddTHH:mm:ss.SSSZ
lastUpdatedAt

The ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) at which the document was last attached or embedded with changed values. Equal to addedAt when the document has never changed. Not updated when an unchanged document is sent again.

string format: yyyy-MM-ddTHH:mm:ss.SSSZ
notes
required
Array<string>
contact
object
userId
string format: uuid
email
string
userName
string
status
string
Allowed values: Suggested Assigned Reassigned
firstName
string
lastName
string
position
string
phoneNumber
string
customLabels

Optional custom labels on order header level to make supply or quality issues visible.

Array<object>

Custom label to make supply or quality issues visible.

object
text
required

Free format label text.

string
reason

Free format label reason.

string
erpLastResponseDateTime

Date in ISO 8601 format

string
erpLastRespondedBy
object
userId
string format: uuid
email
string
userName
string
lines
required
Array<object>
object
id
required
string
lineType

The optional order line type set by the buyer or supplier, one of:

  • Item - This is an item line (default).
  • Service - This is a service line.
  • Charge - This is a charge line.
string
default: Item
Allowed values: Item Service Charge
chargeReasonCode

The optional charge reason code set by the buyer or supplier, in case of a charge line.

string format: UNCL7161
buyerLine
required
object
position
required

Required position identifier in the purchase order. The position should be unique within the order and immutable.

string format: digits
row

Optional row label for this position. Do NOT use row as identifier.

string format: digits
description
string
item
required
object
number
string
revision
string
name
required
string
description
string
purchaseUnitOfMeasureIso
required

The purchase unit of measure for this item, passed through as-is to the supplier. No standard is enforced; UN/ECE Recommendation N°20 (Codes for Units of Measure) is recommended if you want a standard.

string
supplierItemNumber
string
dimensions

Array of dimensions related to the item

Array<object>

Defines measurable dimensions (length, width, area, weight or volume) of an item

object
attribute
required

Measurement type of item

string
measure
required

Measurement value

number
unitOfMeasureUnece
required

The unit of measure for this dimension, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 (Codes for Units of Measure) is recommended if you want a standard.

string
itemDetails

The buyer may send item details to inform the supplier about part information. The supplier may check, change and add item details if they are not correct or incomplete.

object
countryOfOriginCodeIso2

The country of manufacture, production, or growth where an article or product comes from

string
combinedNomenclatureCode

A tool for classifying goods, set up to meet the requirements both of the Common Customs Tariff and of the EU’s external trade statistics

string
netWeight

Net weight of one item

number format: float
netWeightUnitOfMeasureIso

The net weight unit of measure, passed through as-is. Mandatory when netWeight is provided. No standard is enforced; UN/ECE Recommendation N°20 (Codes for Units of Measure) is recommended if you want a standard.

string
dangerousGoodsCodeUnece

UN numbers or UN IDs are four-digit numbers that identify dangerous goods, hazardous substances and articles in the framework of international transport

string
serialNumber

Unique identifier assigned incrementally or sequentially to an item, to uniquely identify it

string
batchNumber

Identification number assigned to a particular quantity or lot of material from a single manufacturer

string
prices
required
object
grossPrice
object
priceInTransactionCurrency
required
object
value
required
number
currencyIso
required
string
priceInBaseCurrency
object
value
required
number
currencyIso
required
string
discountPercentage
number
netPrice
object
priceInTransactionCurrency
required
object
value
required
number
currencyIso
required
string
priceInBaseCurrency
object
value
required
number
currencyIso
required
string
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string
priceUnitQuantity
required

The item quantity at which the price applies. Typically this is 1 (unit price) or 100 (the price applies to 100 items). This number must be greater than 0

number
deliverySchedule
required
Array<object>
object
position
string
date
required
string format: date
quantity
required
number
deliveryHistory
required
Array<object>
object
position
string
date
required
string format: date
quantity
required
number
chargeLines

Deprecated: Use lineType with value ‘Charge’ and chargeReasonCode on the order line instead.

Array<object>

Deprecated: Use lineType with value ‘Charge’ and chargeReasonCode on the order line instead. The Charge Line that is included in an order line.

object
position

The position used to identify a Charge Line.

string
chargeTypeCode
required

The reason code of this Charge Line.

string format: UNCL7161
chargeDescription
required

The description of this Charge Line.

string
quantity
required

The quantity ordered of this Charge Line

number
price
required
object
priceInTransactionCurrency
required
object
value
required
number
currencyIso
required
string
priceInBaseCurrency
object
value
required
number
currencyIso
required
string
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string
requests
object
reopenRequest
object
prices
object
grossPrice
object
priceInTransactionCurrency
required
object
value
required
number
currencyIso
required
string
priceInBaseCurrency
object
value
required
number
currencyIso
required
string
discountPercentage
number
netPrice
object
priceInTransactionCurrency
required
object
value
required
number
currencyIso
required
string
priceInBaseCurrency
object
value
required
number
currencyIso
required
string
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string
priceUnitQuantity
required

The item quantity at which the price applies. Typically this is 1 (unit price) or 100 (the price applies to 100 items). This number must be greater than 0

number
deliverySchedule
required
Array<object>
object
position

The position of the delivery schedule line. Omitted/null in case of a split delivery schedule line.

string
originalPosition

The original position of the delivery schedule line in case of a split delivery schedule line.

string
date
string format: date
quantity
number
reason
string
status
required
string
Allowed values: Open Approved Rejected Closed
reconfirmationRequest

Reconfirmation request as requested by the buyer.

object
status
required
string
Allowed values: Open Approved Rejected Closed
terms
object
contractNumber
string
contractPosition
string
projectNumber
string
productionNumber
string
salesOrderNumber
string
indicators
object
noDeliveryExpected
boolean
delivered
boolean
proposeWhenAccepted

If set to true, when supplier confirms a line then this line becomes a proposal

boolean
properties
required
Array<object>
object
key
required
string
value
required
string
documents
required
Array<object>
object
code
string
revision
string
name

Optional document short name

string
description

Description of the attached document.

string
type

The type of the attached document. Eg. General, Class Product Certificate, Manual, Packing Instructions, etc…

string
objectId

The object ID as known by the Tradecloud Object Storage, if this document stored in Tradecloud.

string format: uuid
url

Location of the document if is not stored in Tradecloud.

string
meta

Meta information about the document, set by Tradecloud.

object
addedAt

The ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) at which the document was first attached to or embedded on the order or order line. Absent for a document that predates Tradecloud recording this date.

string format: yyyy-MM-ddTHH:mm:ss.SSSZ
lastUpdatedAt

The ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) at which the document was last attached or embedded with changed values. Equal to addedAt when the document has never changed. Not updated when an unchanged document is sent again.

string format: yyyy-MM-ddTHH:mm:ss.SSSZ
notes
required
Array<string>
labels

Optional value-added services labels on line level. Please note the practicable number of labels is dependent on the supplier.

Array<string>
certification
object
typeCode
string
type
string
classificationSocietyCode
string
classificationSociety
string
customLabels

Optional custom labels on order line level to make supply or quality issues visible.

Array<object>

Custom label to make supply or quality issues visible.

object
text
required

Free format label text.

string
reason

Free format label reason.

string
supplierLine
required
object
salesOrderNumber
string
position
string
description
string
itemDetails

The buyer may send item details to inform the supplier about part information. The supplier may check, change and add item details if they are not correct or incomplete.

object
countryOfOriginCodeIso2

The country of manufacture, production, or growth where an article or product comes from

string
combinedNomenclatureCode

A tool for classifying goods, set up to meet the requirements both of the Common Customs Tariff and of the EU’s external trade statistics

string
netWeight

Net weight of one item

number format: float
netWeightUnitOfMeasureIso

The net weight unit of measure, passed through as-is. Mandatory when netWeight is provided. No standard is enforced; UN/ECE Recommendation N°20 (Codes for Units of Measure) is recommended if you want a standard.

string
dangerousGoodsCodeUnece

UN numbers or UN IDs are four-digit numbers that identify dangerous goods, hazardous substances and articles in the framework of international transport

string
serialNumber

Unique identifier assigned incrementally or sequentially to an item, to uniquely identify it

string
batchNumber

Identification number assigned to a particular quantity or lot of material from a single manufacturer

string
chargeLines

Deprecated: Use lineType with value ‘Charge’ and chargeReasonCode on the order line instead.

Array<object>

Deprecated: Use lineType with value ‘Charge’ and chargeReasonCode on the order line instead. The Charge Line that is included in an order line.

object
position

The position used to identify a Charge Line.

string
chargeTypeCode
required

The reason code of this Charge Line.

string format: UNCL7161
chargeDescription
required

The description of this Charge Line.

string
quantity
required

The quantity ordered of this Charge Line

number
price
required
object
priceInTransactionCurrency
required
object
value
required
number
currencyIso
required
string
priceInBaseCurrency
object
value
required
number
currencyIso
required
string
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string
requests
required
object
proposal
object
prices
object
grossPrice
object
priceInTransactionCurrency
required
object
value
required
number
currencyIso
required
string
priceInBaseCurrency
object
value
required
number
currencyIso
required
string
discountPercentage
number
netPrice
object
priceInTransactionCurrency
required
object
value
required
number
currencyIso
required
string
priceInBaseCurrency
object
value
required
number
currencyIso
required
string
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string
priceUnitQuantity
required

The item quantity at which the price applies. Typically this is 1 (unit price) or 100 (the price applies to 100 items). This number must be greater than 0

number
deliverySchedule
required
Array<object>
object
position

The position of the delivery schedule line. Omitted/null in case of a split delivery schedule line.

string
originalPosition

The original position of the delivery schedule line in case of a split delivery schedule line.

string
date
string format: date
quantity
number
chargeLines

Deprecated: Use lineType with value ‘Charge’ and chargeReasonCode on the order line instead.

Array<object>

Deprecated: Use lineType with value ‘Charge’ and chargeReasonCode on the order line instead. The Charge Line that is included in an order line.

object
position

The position used to identify a Charge Line.

string
chargeTypeCode
required

The reason code of this Charge Line.

string format: UNCL7161
chargeDescription
required

The description of this Charge Line.

string
quantity
required

The quantity ordered of this Charge Line

number
price
required
object
priceInTransactionCurrency
required
object
value
required
number
currencyIso
required
string
priceInBaseCurrency
object
value
required
number
currencyIso
required
string
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string
reason
string
status
required
string
Allowed values: Open Approved Rejected Closed
reopenRequest
object
prices
object
grossPrice
object
priceInTransactionCurrency
required
object
value
required
number
currencyIso
required
string
priceInBaseCurrency
object
value
required
number
currencyIso
required
string
discountPercentage
number
netPrice
object
priceInTransactionCurrency
required
object
value
required
number
currencyIso
required
string
priceInBaseCurrency
object
value
required
number
currencyIso
required
string
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string
priceUnitQuantity
required

The item quantity at which the price applies. Typically this is 1 (unit price) or 100 (the price applies to 100 items). This number must be greater than 0

number
deliverySchedule
required
Array<object>
object
position

The position of the delivery schedule line. Omitted/null in case of a split delivery schedule line.

string
originalPosition

The original position of the delivery schedule line in case of a split delivery schedule line.

string
date
string format: date
quantity
number
reason
string
status
required
string
Allowed values: Open Approved Rejected Closed
shipmentRescheduleRequest

Shipment request as requested by the supplier.

object
deliverySchedule
required

Requested delivery schedule for shipment.

Array<object>
object
position

The position of the delivery schedule line. Omitted/null in case of a split delivery schedule line.

string
originalPosition

The original position of the delivery schedule line in case of a split delivery schedule line.

string
date
string format: date
quantity
number
reason

Optional reason for the shipment request.

string
status
required
string
Allowed values: Open Approved Rejected Closed
properties
required
Array<object>
object
key
required
string
value
required
string
documents
required
Array<object>
object
code
string
revision
string
name

Optional document short name

string
description

Description of the attached document.

string
type

The type of the attached document. Eg. General, Class Product Certificate, Manual, Packing Instructions, etc…

string
objectId

The object ID as known by the Tradecloud Object Storage, if this document stored in Tradecloud.

string format: uuid
url

Location of the document if is not stored in Tradecloud.

string
meta

Meta information about the document, set by Tradecloud.

object
addedAt

The ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) at which the document was first attached to or embedded on the order or order line. Absent for a document that predates Tradecloud recording this date.

string format: yyyy-MM-ddTHH:mm:ss.SSSZ
lastUpdatedAt

The ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) at which the document was last attached or embedded with changed values. Equal to addedAt when the document has never changed. Not updated when an unchanged document is sent again.

string format: yyyy-MM-ddTHH:mm:ss.SSSZ
notes
required
Array<string>
customLabels

Optional custom labels on order line level to make supply or quality issues visible.

Array<object>

Custom label to make supply or quality issues visible.

object
text
required

Free format label text.

string
reason

Free format label reason.

string
confirmedLine
object
prices
required
object
grossPrice
object
priceInTransactionCurrency
required
object
value
required
number
currencyIso
required
string
priceInBaseCurrency
object
value
required
number
currencyIso
required
string
discountPercentage
number
netPrice
object
priceInTransactionCurrency
required
object
value
required
number
currencyIso
required
string
priceInBaseCurrency
object
value
required
number
currencyIso
required
string
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string
priceUnitQuantity
required

The item quantity at which the price applies. Typically this is 1 (unit price) or 100 (the price applies to 100 items). This number must be greater than 0

number
deliverySchedule
required
Array<object>
object
position

The position of the delivery schedule line. Omitted/null in case of a split delivery schedule line.

string
originalPosition

The original position of the delivery schedule line in case of a split delivery schedule line.

string
date
string format: date
quantity
number
chargeLines

Deprecated: Use lineType with value ‘Charge’ and chargeReasonCode on the order line instead.

Array<object>

Deprecated: Use lineType with value ‘Charge’ and chargeReasonCode on the order line instead. The Charge Line that is included in an order line.

object
position

The position used to identify a Charge Line.

string
chargeTypeCode
required

The reason code of this Charge Line.

string format: UNCL7161
chargeDescription
required

The description of this Charge Line.

string
quantity
required

The quantity ordered of this Charge Line

number
price
required
object
priceInTransactionCurrency
required
object
value
required
number
currencyIso
required
string
priceInBaseCurrency
object
value
required
number
currencyIso
required
string
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string
deliverySchedule
required

Aggregated delivery schedule with logistics info

Array<object>

An aggregated delivery schedule line with logistics info

object
position

The optional position in the delivery schedule.

string format: digits
date

The optional delivery local date (without time zone) of this delivery line. Date has ISO 8601 date format.

string format: YYYY-MM-DD
quantity

The optional quantity of this delivery line. Quantity has a decimal format.

number
status

The order, line or optional delivery line logistics status:

  • Open - No or partial quantity Produced, ReadyToShip, Shipped or Delivered
  • Produced - Full quantity produced by the supplier
  • ReadyToShip - Full quantity ready to be shipped by the supplier
  • Shipped - Full quantity shipped by the supplier
  • Delivered - Full quantity delivered at the buyer
  • Cancelled - Cancelled by the buyer
string
Allowed values: Open Produced ReadyToShip Shipped Delivered Cancelled
indicators
required
object
deliveryOverdue

True if this delivery line is not Delivered yet and its date is in the past.

boolean
transportMode

The Mode of Transport used for the delivery of goods. UNECE.org Recommendation 19 is advised for Mode of Transport values.

string
etd

The optional logistics Estimated Time of Departure local date (without time zone) of this delivery line. Date has ISO 8601 date format.

string format: YYYY-MM-DD
eta

The optional logistics Estimated Time of Arrival local date (without time zone) of this delivery line. Date has ISO 8601 date format.

string format: YYYY-MM-DD
deliveryScheduleIncludingRequests
required

Aggregated delivery schedule with logistics info and merged with requests

Array<object>

An aggregated delivery schedule line with logistics info

object
position

The optional position in the delivery schedule.

string format: digits
date

The optional delivery local date (without time zone) of this delivery line. Date has ISO 8601 date format.

string format: YYYY-MM-DD
quantity

The optional quantity of this delivery line. Quantity has a decimal format.

number
status

The order, line or optional delivery line logistics status:

  • Open - No or partial quantity Produced, ReadyToShip, Shipped or Delivered
  • Produced - Full quantity produced by the supplier
  • ReadyToShip - Full quantity ready to be shipped by the supplier
  • Shipped - Full quantity shipped by the supplier
  • Delivered - Full quantity delivered at the buyer
  • Cancelled - Cancelled by the buyer
string
Allowed values: Open Produced ReadyToShip Shipped Delivered Cancelled
indicators
required
object
deliveryOverdue

True if this delivery line is not Delivered yet and its date is in the past.

boolean
transportMode

The Mode of Transport used for the delivery of goods. UNECE.org Recommendation 19 is advised for Mode of Transport values.

string
etd

The optional logistics Estimated Time of Departure local date (without time zone) of this delivery line. Date has ISO 8601 date format.

string format: YYYY-MM-DD
eta

The optional logistics Estimated Time of Arrival local date (without time zone) of this delivery line. Date has ISO 8601 date format.

string format: YYYY-MM-DD
shipmentHistory
required

Information about the shipment lines that were created in the shipment module for this order line.

Array<object>

Information about a shipment line that was created in the shipment module for an order line.

object
shipmentId
required

The Tradecloud ID of the shipment in which the shipmentLine was included.

string
shipmentNumber
required

The shipment number of the shipment in which the shipmentLine was included.

string
deliverySchedulePosition
required

The position in the deliverySchedule that this shipmentLine applies to.

string
despatchQuantity
required

The quantity that was dispatched.

number format: float
backorderQuantity

The backorder quantity.

number format: float
backorderDate

The backorder expected delivery date.

string format: date
prices
object
grossPrice
object
priceInTransactionCurrency
required
object
value
required
number
currencyIso
required
string
priceInBaseCurrency
object
value
required
number
currencyIso
required
string
discountPercentage
number
netPrice
object
priceInTransactionCurrency
required
object
value
required
number
currencyIso
required
string
priceInBaseCurrency
object
value
required
number
currencyIso
required
string
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string
priceUnitQuantity
required

The item quantity at which the price applies. Typically this is 1 (unit price) or 100 (the price applies to 100 items). This number must be greater than 0

number
pricesIncludingRequests
object
grossPrice
object
priceInTransactionCurrency
required
object
value
required
number
currencyIso
required
string
priceInBaseCurrency
object
value
required
number
currencyIso
required
string
discountPercentage
number
netPrice
object
priceInTransactionCurrency
required
object
value
required
number
currencyIso
required
string
priceInBaseCurrency
object
value
required
number
currencyIso
required
string
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string
priceUnitQuantity
required

The item quantity at which the price applies. Typically this is 1 (unit price) or 100 (the price applies to 100 items). This number must be greater than 0

number
chargeLines

Deprecated: Use lineType with value ‘Charge’ and chargeReasonCode on the order line instead. Aggregated charge lines for this order line.

Array<object>

Deprecated: Use lineType with value ‘Charge’ and chargeReasonCode on the order line instead. The Charge Line that is included in an order line.

object
position

The position used to identify a Charge Line.

string
chargeTypeCode
required

The reason code of this Charge Line.

string format: UNCL7161
chargeDescription
required

The description of this Charge Line.

string
quantity
required

The quantity ordered of this Charge Line

number
price
required
object
priceInTransactionCurrency
required
object
value
required
number
currencyIso
required
string
priceInBaseCurrency
object
value
required
number
currencyIso
required
string
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string
chargeLinesIncludingRequests

Deprecated: Use lineType with value ‘Charge’ and chargeReasonCode on the order line instead. Aggregated charge lines, merged with requests, for this order line.

Array<object>

Deprecated: Use lineType with value ‘Charge’ and chargeReasonCode on the order line instead. The Charge Line that is included in an order line.

object
position

The position used to identify a Charge Line.

string
chargeTypeCode
required

The reason code of this Charge Line.

string format: UNCL7161
chargeDescription
required

The description of this Charge Line.

string
quantity
required

The quantity ordered of this Charge Line

number
price
required
object
priceInTransactionCurrency
required
object
value
required
number
currencyIso
required
string
priceInBaseCurrency
object
value
required
number
currencyIso
required
string
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string
indicators
required
object
deliveryOverdue

True if a delivery line of this order line is not Delivered yet and its date is in the past.

boolean
status
required
object
processStatus
required

The order or line process status:

  • Issued - (Re)issued by the buyer
  • InProgress - Under negotiation between buyer and supplier
  • Confirmed - Agreed between buyer and supplier
  • Rejected - Rejected by supplier
  • Completed - Completed at the buyer
  • Cancelled - Cancelled by the buyer
string
Allowed values: Issued InProgress Confirmed Rejected Completed Cancelled
inProgressStatus

More fine-grained status when an order line has processStatus InProgress, explaining why it is in progress:

  • OpenSupplierProposal - There is an open proposal from the supplier.
  • RejectedSupplierProposal - The proposal from the supplier was rejected and no other requests are open.
  • ApprovedDeliverySchedule - The order line delivery schedule was approved by the buyer.
  • RejectedDeliverySchedule - The order line delivery schedule was rejected by the buyer.
  • ReissuedRejectedLine - The rejected order line was reissued by the buyer.
  • OpenBuyerReconfirmationRequest - The buyer has requested to reconfirmed the order line.
  • OpenSupplierReopenRequest - There is an open reopen request from the supplier.
  • OpenSupplierShipmentRescheduleRequest - There is an open shipment reschedule request from the supplier.
  • OpenBuyerReopenRequest - There is an open reopen request from the buyer.
  • RevertedCompletedLine - The completion of this line was reverted.
  • RevertedCancelledLine - The cancellation of this line was reverted.
string
Allowed values: OpenSupplierProposal RejectedSupplierProposal ApprovedDeliverySchedule RejectedDeliverySchedule ReissuedRejectedLine OpenBuyerReconfirmationRequest OpenSupplierReopenRequest OpenSupplierShipmentRescheduleRequest OpenBuyerReopenRequest RevertedCompletedLine RevertedCancelledLine
logisticsStatus
required

The order, line or optional delivery line logistics status:

  • Open - No or partial quantity Produced, ReadyToShip, Shipped or Delivered
  • Produced - Full quantity produced by the supplier
  • ReadyToShip - Full quantity ready to be shipped by the supplier
  • Shipped - Full quantity shipped by the supplier
  • Delivered - Full quantity delivered at the buyer
  • Cancelled - Cancelled by the buyer
string
Allowed values: Open Produced ReadyToShip Shipped Delivered Cancelled
eventDates
required
object
issuedAt
required
string format: date-time
confirmedAt
string format: date-time
shippedAt
string format: date-time
deliveredAt
string format: date-time
cancelledAt
string format: date-time
completedAt
string format: date-time
mergedItemDetails

The buyer may send item details to inform the supplier about part information. The supplier may check, change and add item details if they are not correct or incomplete.

object
countryOfOriginCodeIso2

The country of manufacture, production, or growth where an article or product comes from

string
combinedNomenclatureCode

A tool for classifying goods, set up to meet the requirements both of the Common Customs Tariff and of the EU’s external trade statistics

string
netWeight

Net weight of one item

number format: float
netWeightUnitOfMeasureIso

The net weight unit of measure, passed through as-is. Mandatory when netWeight is provided. No standard is enforced; UN/ECE Recommendation N°20 (Codes for Units of Measure) is recommended if you want a standard.

string
dangerousGoodsCodeUnece

UN numbers or UN IDs are four-digit numbers that identify dangerous goods, hazardous substances and articles in the framework of international transport

string
serialNumber

Unique identifier assigned incrementally or sequentially to an item, to uniquely identify it

string
batchNumber

Identification number assigned to a particular quantity or lot of material from a single manufacturer

string
totalAmount
object
value
required
number
currencyIso
required
string
totalAmountIncludingRequests
object
value
required
number
currencyIso
required
string
predictions

Object containing all predictions that are done for this order line.

object
confirmationExceptionPrediction

A prediction for a particular event to happen

object
score
required

The predicted score of a particular property

number format: float
featureAttributions

Object describing which properties had a positive or negative attribution to a prediction.

object
modelBaselineScore
required

The baseline score of the current model, being the chance of an exception happening when an order line had average values for all properties.

number format: float
positiveAttributions
required

Ordered list with the 5 most relevant properties that had a positive impact on the predicted score.

Array<object>

The attribution of a feature to a particular prediction.

object
path
required

The JSON path of an OrderLine property that attributed to a prediction. Can be used as i18n key by the portal.

string
score
required

The amount that this property has increased (positive) or decreased (negative) the prediction score compared to the model baseline score. Number between -1 and 1, rounded to 4 decimals.

number format: float
negativeAttributions
required

Ordered list with the 5 most relevant properties that had a negative impact on the predicted score.

Array<object>

The attribution of a feature to a particular prediction.

object
path
required

The JSON path of an OrderLine property that attributed to a prediction. Can be used as i18n key by the portal.

string
score
required

The amount that this property has increased (positive) or decreased (negative) the prediction score compared to the model baseline score. Number between -1 and 1, rounded to 4 decimals.

number format: float
meta
required

The meta information related to a Prediction

object
modelId

Unique identifier of the model that was used for a prediction.

string
modelVersion

The version of the model that was used for a prediction.

string
predictedAt

The ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) that denotes the date time at which the prediction was retrieved.

string format: date-time
lastUpdatedAt

The ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) that denotes the latest date time the order line has been changed

string format: date-time
indicators
required
object
deliveryOverdue

True if a order line is not Delivered yet and the order line is overdue.

boolean
status
required
object
processStatus
required

The order or line process status:

  • Issued - (Re)issued by the buyer
  • InProgress - Under negotiation between buyer and supplier
  • Confirmed - Agreed between buyer and supplier
  • Rejected - Rejected by supplier
  • Completed - Completed at the buyer
  • Cancelled - Cancelled by the buyer
string
Allowed values: Issued InProgress Confirmed Rejected Completed Cancelled
logisticsStatus
required

The order, line or optional delivery line logistics status:

  • Open - No or partial quantity Produced, ReadyToShip, Shipped or Delivered
  • Produced - Full quantity produced by the supplier
  • ReadyToShip - Full quantity ready to be shipped by the supplier
  • Shipped - Full quantity shipped by the supplier
  • Delivered - Full quantity delivered at the buyer
  • Cancelled - Cancelled by the buyer
string
Allowed values: Open Produced ReadyToShip Shipped Delivered Cancelled
version
required
integer format: int64
eventDates
required
object
issuedAt
required
string format: date-time
confirmedAt
string format: date-time
shippedAt
string format: date-time
deliveredAt
string format: date-time
cancelledAt
string format: date-time
completedAt
string format: date-time
firstDeliveryDate
string
totalAmount
object
value
required
number
currencyIso
required
string
totalAmountIncludingRequests
object
value
required
number
currencyIso
required
string
lastUpdatedAt

The ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) that denotes the latest date time the order has been changed

string format: date-time

Example

{
"buyerOrder": {
"buyerParty": {
"id": "123",
"idScheme": "GLN",
"names": [
"My Company Warehouse",
"Dock 12"
],
"addressLines": [
"Street 123",
"Area 52"
],
"postalCode": "1234 AB",
"city": "Rotterdam",
"countryCodeIso2": "NL",
"countryName": "The Netherlands"
},
"buyerAccountingParty": {
"id": "123",
"idScheme": "GLN",
"names": [
"My Company Warehouse",
"Dock 12"
],
"addressLines": [
"Street 123",
"Area 52"
],
"postalCode": "1234 AB",
"city": "Rotterdam",
"countryCodeIso2": "NL",
"countryName": "The Netherlands"
},
"supplierParty": {
"id": "123",
"idScheme": "GLN",
"names": [
"My Company Warehouse",
"Dock 12"
],
"addressLines": [
"Street 123",
"Area 52"
],
"postalCode": "1234 AB",
"city": "Rotterdam",
"countryCodeIso2": "NL",
"countryName": "The Netherlands"
},
"indicators": {
"autoConfirm": false
},
"documents": [
{
"code": "10007563",
"revision": "B",
"name": "Tradecloud API Manual",
"description": "General document",
"type": "General",
"objectId": "05d251f0-0166-4e1e-8110-8d7a507b18f4",
"url": "https://my-company.com/storage/my_file.pdf",
"meta": {
"addedAt": "2019-12-31T10:11:12.123Z",
"lastUpdatedAt": "2019-12-31T10:11:12.123Z"
}
}
],
"labels": [
"first label for this order",
"second label for this order"
],
"contact": {
"status": "Assigned"
},
"orderType": "Purchase",
"customLabels": [
{
"text": "Urgent",
"reason": "Out of stock"
}
],
"requirements": {
"salesOrderNumberRequired": false
},
"erpIssueDateTime": "2020-05-19T15:41:23.000",
"erpLastChangeDateTime": "2020-05-19T15:41:23.000"
},
"supplierOrder": {
"documents": [
{
"code": "10007563",
"revision": "B",
"name": "Tradecloud API Manual",
"description": "General document",
"type": "General",
"objectId": "05d251f0-0166-4e1e-8110-8d7a507b18f4",
"url": "https://my-company.com/storage/my_file.pdf",
"meta": {
"addedAt": "2019-12-31T10:11:12.123Z",
"lastUpdatedAt": "2019-12-31T10:11:12.123Z"
}
}
],
"contact": {
"status": "Suggested"
},
"customLabels": [
{
"text": "Urgent",
"reason": "Out of stock"
}
],
"erpLastResponseDateTime": "2020-05-19T15:41:23.000"
},
"lines": [
{
"lineType": "Item",
"chargeReasonCode": "FC",
"buyerLine": {
"position": "0001",
"row": "1",
"item": {
"dimensions": [
{
"attribute": "Length",
"measure": 50.5,
"unitOfMeasureUnece": "m"
}
]
},
"itemDetails": {
"countryOfOriginCodeIso2": "NL",
"combinedNomenclatureCode": "6406 10 10",
"netWeight": 41.241,
"netWeightUnitOfMeasureIso": "KG",
"dangerousGoodsCodeUnece": "0060",
"serialNumber": "0x0000000000028000",
"batchNumber": "#18001"
},
"prices": {
"priceUnitQuantity": 100
},
"chargeLines": [
{
"position": "001",
"chargeTypeCode": "FC",
"chargeDescription": "Additional coating",
"quantity": 2,
"priceUnitOfMeasureIso": "PCE"
}
],
"requests": {
"reopenRequest": {
"prices": {
"priceUnitQuantity": 100
},
"status": "Open"
},
"reconfirmationRequest": {
"status": "Open"
}
},
"documents": [
{
"code": "10007563",
"revision": "B",
"name": "Tradecloud API Manual",
"description": "General document",
"type": "General",
"objectId": "05d251f0-0166-4e1e-8110-8d7a507b18f4",
"url": "https://my-company.com/storage/my_file.pdf",
"meta": {
"addedAt": "2019-12-31T10:11:12.123Z",
"lastUpdatedAt": "2019-12-31T10:11:12.123Z"
}
}
],
"labels": [
"first label for this line",
"second label for this line"
],
"customLabels": [
{
"text": "Urgent",
"reason": "Out of stock"
}
]
},
"supplierLine": {
"itemDetails": {
"countryOfOriginCodeIso2": "NL",
"combinedNomenclatureCode": "6406 10 10",
"netWeight": 41.241,
"netWeightUnitOfMeasureIso": "KG",
"dangerousGoodsCodeUnece": "0060",
"serialNumber": "0x0000000000028000",
"batchNumber": "#18001"
},
"chargeLines": [
{
"position": "001",
"chargeTypeCode": "FC",
"chargeDescription": "Additional coating",
"quantity": 2,
"priceUnitOfMeasureIso": "PCE"
}
],
"requests": {
"proposal": {
"prices": {
"priceUnitQuantity": 100
},
"chargeLines": [
{
"position": "001",
"chargeTypeCode": "FC",
"chargeDescription": "Additional coating",
"quantity": 2,
"priceUnitOfMeasureIso": "PCE"
}
],
"status": "Open"
},
"reopenRequest": {
"prices": {
"priceUnitQuantity": 100
},
"status": "Open"
},
"shipmentRescheduleRequest": {
"status": "Open"
}
},
"documents": [
{
"code": "10007563",
"revision": "B",
"name": "Tradecloud API Manual",
"description": "General document",
"type": "General",
"objectId": "05d251f0-0166-4e1e-8110-8d7a507b18f4",
"url": "https://my-company.com/storage/my_file.pdf",
"meta": {
"addedAt": "2019-12-31T10:11:12.123Z",
"lastUpdatedAt": "2019-12-31T10:11:12.123Z"
}
}
],
"customLabels": [
{
"text": "Urgent",
"reason": "Out of stock"
}
]
},
"confirmedLine": {
"prices": {
"priceUnitQuantity": 100
},
"chargeLines": [
{
"position": "001",
"chargeTypeCode": "FC",
"chargeDescription": "Additional coating",
"quantity": 2,
"priceUnitOfMeasureIso": "PCE"
}
]
},
"deliverySchedule": [
{
"position": "01",
"date": "2019-12-31",
"quantity": 1234.56,
"status": "Open",
"indicators": {
"deliveryOverdue": false
},
"transportMode": "Road transport",
"etd": "2019-12-31",
"eta": "2019-12-31"
}
],
"deliveryScheduleIncludingRequests": [
{
"position": "01",
"date": "2019-12-31",
"quantity": 1234.56,
"status": "Open",
"indicators": {
"deliveryOverdue": false
},
"transportMode": "Road transport",
"etd": "2019-12-31",
"eta": "2019-12-31"
}
],
"shipmentHistory": [
{
"shipmentId": "0827f1b5-af43-4fbb-8f7e-6bc20c7dcd44-S12345",
"shipmentNumber": "S12345",
"deliverySchedulePosition": "D01",
"despatchQuantity": "15.5",
"backorderQuantity": "5.5",
"backorderDate": "2024-12-31"
}
],
"prices": {
"priceUnitQuantity": 100
},
"pricesIncludingRequests": {
"priceUnitQuantity": 100
},
"chargeLines": [
{
"position": "001",
"chargeTypeCode": "FC",
"chargeDescription": "Additional coating",
"quantity": 2,
"priceUnitOfMeasureIso": "PCE"
}
],
"chargeLinesIncludingRequests": [
{
"position": "001",
"chargeTypeCode": "FC",
"chargeDescription": "Additional coating",
"quantity": 2,
"priceUnitOfMeasureIso": "PCE"
}
],
"indicators": {
"deliveryOverdue": false
},
"status": {
"processStatus": "Issued",
"inProgressStatus": "OpenSupplierProposal",
"logisticsStatus": "Open"
},
"mergedItemDetails": {
"countryOfOriginCodeIso2": "NL",
"combinedNomenclatureCode": "6406 10 10",
"netWeight": 41.241,
"netWeightUnitOfMeasureIso": "KG",
"dangerousGoodsCodeUnece": "0060",
"serialNumber": "0x0000000000028000",
"batchNumber": "#18001"
},
"predictions": {
"confirmationExceptionPrediction": {
"score": 0.42,
"featureAttributions": {
"modelBaselineScore": 0.2512,
"positiveAttributions": [
{
"path": "buyerLine.deliverySchedule.2.date",
"score": 0.1251
}
],
"negativeAttributions": [
{
"path": "buyerLine.deliverySchedule.2.date",
"score": 0.1251
}
]
},
"meta": {
"modelId": "model-123",
"modelVersion": "v2",
"predictedAt": "2021-04-23T10:01:53.812Z"
}
}
},
"lastUpdatedAt": "2021-04-23T10:01:53.812Z"
}
],
"indicators": {
"deliveryOverdue": false
},
"status": {
"processStatus": "Issued",
"logisticsStatus": "Open"
},
"lastUpdatedAt": "2021-04-23T10:01:53.812Z"
}

Bad request, the user should check the response body for more info.

Not authenticated, the user should authenticate using a valid access token, use Basic Authentication, or refresh to get a valid token.

Not authorized, the user is authenticated but does not have the necessary permission.

Order not found.

An unexpected error occurred, Tradecloud ops will be alerted.

Service is not healthy (bad gateway), Tradecloud ops will be alerted.

Service is unavailable (overloaded or down for maintenance), Tradecloud ops will be alerted.

Service is unavailable (gateway timeout), Tradecloud ops will be alerted.